Subject: bug#36525: M-x default when cursor on top of a M-x command in INFO

From: Drew Adams <[email-masked]>
Date: Tue, 9 Jul 2019 14:07:14 -0700 (PDT)

> Then a key sequence like ‘C-x M-. M-. M-.’
> could be used to copy text from the buffer
> to the minibuffer.

Of course.  As could `M-.'  Or other key
sequences.

> And then why not let it be copied to any buffer, 
> not just the minibuffer.

Why?

By "copied to" I guess you mean pasted to,
since that's what was talked about wrt the
minibuffer: copied from the current buffer,
pasted into the minibuffer.

In the minibuffer case the two buffers
involved are well-defined.  There's no
navigating.

> For instance, select the active region in one buffer,
> switch to another window, and pull text from the region
> in other window - without adding it to the kill-ring.

There are any number of things that could
be done.  Why do that one in particular?
Do you see it as being particularly useful?

There's a buffer that's current when you
enter the minibuffer.  It's generally where
you might be interested in grabbing some
text at point.  (It, and its window point,
were likely the focus of attention before
entering the minibuffer.)

Since you're now editing in the minibuffer,
that's generally where you want to paste it.

This is a particular use case, even if the
choice of _what_ you might want to grab
near point allows lots of possibilities.

I don't see the point of what you describe,
but feel free to develop it some more.

So far, I can't imagine using it.  (How
often do I want to copy+paste without using
the kill ring?  Rarely.)

In a scenario like you describe, if I had
to go to another window, select some text,
and then paste it into the first (or yet
another) window, I'd probably use the mouse
to select the text.  (And I have non-nil
`mouse-drag-copy-region', so it would still
use the kill ring.)

Or if I wanted to avoid adding to the kill
ring I'd select the text as the secondary
selection and paste that.

Maybe describe a bit more what you have in
mind?  Maybe try it out?